
/* Weather Tool */
.wwweather-day-today-date{
  text-align: center;
  font-size: 3.4rem;
  margin: 0;
}
.wwweather-day-heading {
  text-transform: none;
  text-align: center;
  margin: 0 0 10px;
}
.wwweather-ext{
  font-size: 2rem;
}
.wwweather-ext svg {
  display: inline-block;
  height: 32px;
  margin: 0 10px 0 0;
  width: 32px;
}
.wwweather-today .wwweather-temperature span {
  vertical-align: top;
}
.wwweather-day:not(.wwweather-today) .wwweather-temperature strong {
  font-size: 1.4em;
  line-height: 1;
}
.wwweather-today .wwweather-temperature strong {
  font-size: 2em;
  line-height: 1;
  display: inline-block;
  margin-right: 5px;
}
.wwweather-future-container{
  padding: 30px 10px;
  background: #F5F4F4;
  max-width: none;
  margin: 0 auto;
}
.wwweather-currentdata-nav {
  margin-bottom: 20px;
}
.wwweather-currentdata-nav a {
  font-weight: 700;
  text-decoration: none;
  color: rgba(var(--main-dark-color));
  padding: 5px 10px;
  position: relative;
}
.wwweather-currentdata-nav a:after {
  content: '';
  position: absolute;
  bottom: 2px;
  left: 0;
  width: 100%;
  height: 5px;
  background-color: #878787;
  opacity: 0;
  transition: all .3s;
}
.wwweather-currentdata-nav a.active:after {
  bottom: -2px;
  opacity: 1;
}
.wwweather-currentdata-content {
  display: none;
}
.wwweather-currentdata-content.active {
  display: block;
}
.wwweather-currentdata-content table {
  width: 100% !important;
}
.wwweather-content {
  display: flex;
  justify-content: center;
  align-items: flex-start;
  margin-bottom: 10px;
  gap: 30px;
}
.wwweather-icon{
  width: auto;
  max-width: 200px;
}
.wwweather-icon svg {
  width: 100%;
  height: 100%;
}
/**/
.wwweather-future-icon svg *,
.wwweather-icon svg * {
  fill: #323232;
}

.wwweather-ext-rain{
  margin-bottom: 5px;
}

.wwweather-today-data{
  width: auto;
}
.wwweather-temperature-minMax-wrapper{
  font-size: 2rem;
  margin-bottom: 5px;
}
.wwweather-temperature-minMax-wrapper span strong{
  font-size: 3rem;
}
.wwweather-temperature-minMax-breakline{
  font-size: 2rem;
}
.wwweather-temperature {
  font-size: 7rem;
  line-height: 1;
  margin-bottom: 20px;
}
.wwweather-future {
  display: flex;
  justify-content: space-evenly;
  flex-direction: column;
  align-items: center;
  padding: 0 10px;
  min-width: 30%;
}
.wwweather-future:not(:last-child) {
  border-right: 1px solid #C2C2C2;
}
h3.wwweather-future-heading {
  font-size: 3rem;
  font-weight: 700;
  text-align: center;
  margin-bottom: 30px;
}
.wwweather-future-wrapper {
  display: flex;
  justify-content: center;
}
.wwweather-future-icon img,
.wwweather-future-icon svg {
  width: 100%;
  height: auto;
  object-fit: contain;
}
.wwweather-future-date {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  line-height: 1;
  font-size: 2rem;
}
.wwweather-future-date > span:first-child{
  display: inline-block;
  text-transform: uppercase;
  font-weight: 700;
}
.wwweather-future-date-full{
  display: none;
}
.wwweather-future-icon {
  width: 50%;
  max-width: 80px;
  max-height: 100px;
  margin: 20px 0;
}
.wwweather-future-rain {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  gap: 5px;
}
.wwweather-future-rain > svg{
  width: 20%;
  max-width: 30px;
}
.wwweather-future-rain > span{
  font-size: 1.5rem;
}
.wwweather-future-temp {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 5px;
  width: 100%;
  font-family: var(--main-font-stack);
  font-size: 2rem;
  line-height: 1;
  margin-bottom: 10px;
}
.wwweather-future-temp .wwweather-future-temp-min{
  font-size: 80%;
}
.wwweather-future-temp .wwweather-future-temp-max{
  font-weight: 700;
}
.wwweather-future-temp .wwweather-future-temp-breakline{
  font-size: 1.5rem;
}
.wwweather-currentdata{
  display: none !important;
}

@media screen and (min-width: 1024px) {
  .wwweather-day-today-date{
    margin: 0;
  }
  .wwweather-future-date{
    font-size: 3rem;
  }
  .wwweather-future-rain > span{
    font-size: 3rem;
  }
  .wwweather-future-temp{
    font-size: 3.5rem;
  }
  .wwweather-future-temp .wwweather-future-temp-breakline{
    font-size: 3rem;
  }
}

@media screen and (min-width: 1440px) {
  .wwweather-day-today-date{
    font-size: 2vw;
    margin: 0;
  }
  .wwweather-ext{
    font-size: 3.2rem;
  }
  .wwweather-ext svg {
    height: 32px;
    margin: 0 25px 0 0;
    width: 32px;
  }
  .wwweather-content {
    margin-bottom: 30px;
    gap: 60px;
  }
  .wwweather-temperature-minMax-wrapper{
    font-size: 2.6rem;
  }
  .wwweather-temperature-minMax-wrapper span strong{
    font-size: 3.2rem;
  }
  .wwweather-temperature-minMax-breakline{
    font-size: 3.4rem;
  }
  .wwweather-temperature {
    font-size: 11rem;
    font-family: var(--main-font-stack);
    margin-bottom: 20px;
  }
  .wwweather-future-container{
    padding: 60px 15px;
  }
  h3.wwweather-future-heading {
    font-size: 3.6rem;
    margin-bottom: 80px;
  }
  .wwweather-future {
    padding: 0 2vw;
  }
  .wwweather-future-date {
    font-size: 2.3vw;
  }
  .wwweather-future-date > span:first-child{
    margin: 0;
  }
  .wwweather-future-date-short{
    display: none !important;
  }
  .wwweather-future-date-full{
    display: block;
    font-size: 2vw;
    font-weight: 700;
  }
  .wwweather-future-date-number{
    font-size: 1.6vw;
  }
  .wwweather-future-icon {
    max-width: 110px;
    margin: 20px 0 30px;
  }
  .wwweather-future-rain{
    gap: 10px;
  }
  .wwweather-future-rain > svg {
    width: 15%;
    max-width: none;
  }
  .wwweather-future-rain > span{
    font-size: 1.5vw;
  }
  .wwweather-future-temp{
    margin-bottom: 30px;
  }
  .wwweather-future-temp{
    font-size: 2.3vw;
  }
  .wwweather-future-temp .wwweather-future-temp-breakline{
    font-size: 2.3vw;
  }
}

@media only screen and (min-width: 2000px) {
  .wwweather-day-today-date{
    font-size: 2vw;
  }
  .wwweather-day-heading{
    font-size: 4vw;
    margin-bottom: 60px;
  }
  .wwweather-ext{
    font-size: 2vw;
  }
  .wwweather-ext svg {
    height: 100px;
    margin: 0 40px 0 0;
    width: 100px;
  }
  .wwweather-content {
    padding-bottom: 160px;
    margin-bottom: 160px;
  }
  .wwweather-temperature-minMax-wrapper{
    font-size: 1.5vw;
  }
  .wwweather-temperature-minMax-wrapper span strong{
    font-size: 2vw;
  }
  .wwweather-temperature-minMax-breakline{
    font-size: 2vw;
  }
  .wwweather-temperature {
    font-size: 4vw;
    margin-bottom: 40px;
  }
  .wwweather-future {
    margin-bottom: 40px;
  }
  h3.wwweather-future-heading {
    font-size: 2vw;
  }
  .wwweather-future-date {
    font-size: 2.3vw;
  }
  .wwweather-future-rain > span{
    font-size: 2.3vw;
  }
  .wwweather-future-temp{
    font-size: 2.3vw;
  }
  .wwweather-future-temp .wwweather-future-temp-breakline{
    font-size: 2.3vw;
  }
}